public class Exercice3 {
  
  /**
   * Fonction de generation d'un tableau de booleens
   * tirés au sort avec equiprobabilité.
   *
   * @param n La taille du tableau généré
   * @return Le tableau généré
   */
  static boolean [] generationTableauBooleen(int n) {
    boolean [] tb = new boolean[n];
    for ( int i = 0 ; i < tb.length ; i++ ) {
      tb[i] = (Math.random() > 0.5);
    }
    return tb;
  }

  static void affichageTableauBooleen(boolean [] tab) {
    for ( int i = 0 ; i < tab.length ; i++ ) {
      Ecran.afficherln(tab[i]);
    }
  }
  
  public static void main(String [] args) {
    boolean [] tt = generationTableauBooleen(5);
    affichageTableauBooleen(tt);
  }
}